GuidesAPI Reference
Guides

Stations Along the Route



This resource retrieves a list of charging stations for electric vehicles that match the specified criteria.

Requests against this resource use the HTTP POST method. Supports only corridor search. Maximum corridor area is 5000 square kilometers.

Request Example

The following code block below shows a search request, using a bearer token, for charging stations along the route from Hamburg, Stormarnplatz to Hamburg, Sommerpfad.

POST https://ev-v2.cc.api.here.com/ev/stations
-H 'Authorization: Bearer {YOUR_TOKEN}'

The following code block below shows a search request, using an API key, for charging stations along the route from Hamburg, Stormarnplatz to Hamburg, Sommerpfad.

POST
https://ev-v2.cc.api.here.com/ev/stations?apiKey={YOUR_API_KEY};
            

The following code block is an example of a required EVStationsSearchRequest with search criteria. Note that Content-Type is set to application/json in this case. For more information about this object, see EVStationsSearchRequest

{
  "maxResults": 10,
  "offset": 2,
  "connectorType": "30,31",
  "powermin": 3.6,
  "powermax": 100.4,
  "corridor": {
    "width": 7000,
    "points": "53.651624,10.094743;53.652624,10.095743;53.653624,10.096743;53.654624,10.097743;53.655624,10.098743;53.656624,10.099743"
  }
}

Response to this Request

For more information on responses to queries to the stations resource, see Stations Response.